<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:01 CET 2018 -->
<title>DocUpdateRequest</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DocUpdateRequest";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../docrequests/DocRequestException.html" title="class in docrequests"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../docrequests/Request.html" title="interface in docrequests"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?docrequests/DocUpdateRequest.html" target="_top">Frames</a></li>
<li><a href="DocUpdateRequest.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">docrequests</div>
<h2 title="Class DocUpdateRequest" class="title">Class DocUpdateRequest</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>docrequests.DocUpdateRequest</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../docrequests/Request.html" title="interface in docrequests">Request</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DocUpdateRequest</span>
extends java.lang.Object
implements <a href="../docrequests/Request.html" title="interface in docrequests">Request</a></pre>
<div class="block">Represents the ES update request</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../docrequests/DocUpdateRequest.html#DocUpdateRequest--">DocUpdateRequest</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../docrequests/DocUpdateRequest.html#DocUpdateRequest-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">DocUpdateRequest</a></span>(java.lang.String&nbsp;index,
                java.lang.String&nbsp;type,
                java.lang.String&nbsp;id,
                java.lang.String&nbsp;document)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../docrequests/DocUpdateRequest.html#executeRequest-org.elasticsearch.client.RestHighLevelClient-">executeRequest</a></span>(org.elasticsearch.client.RestHighLevelClient&nbsp;client)</code>
<div class="block">Executes this request using the given client.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.elasticsearch.action.DocWriteRequest</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../docrequests/DocUpdateRequest.html#getRequest--">getRequest</a></span>()</code>
<div class="block">Returns an ES Java object representing the request built by this.setRequest()</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../docrequests/DocUpdateRequest.html#setRequest--">setRequest</a></span>()</code>
<div class="block">Sets the request with the provided fields</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DocUpdateRequest--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DocUpdateRequest</h4>
<pre>public&nbsp;DocUpdateRequest()</pre>
</li>
</ul>
<a name="DocUpdateRequest-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DocUpdateRequest</h4>
<pre>public&nbsp;DocUpdateRequest(java.lang.String&nbsp;index,
                        java.lang.String&nbsp;type,
                        java.lang.String&nbsp;id,
                        java.lang.String&nbsp;document)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setRequest--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRequest</h4>
<pre>public&nbsp;void&nbsp;setRequest()
                throws <a href="../docrequests/DocRequestException.html" title="class in docrequests">DocRequestException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../docrequests/Request.html#setRequest--">Request</a></code></span></div>
<div class="block">Sets the request with the provided fields</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../docrequests/Request.html#setRequest--">setRequest</a></code>&nbsp;in interface&nbsp;<code><a href="../docrequests/Request.html" title="interface in docrequests">Request</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../docrequests/DocRequestException.html" title="class in docrequests">DocRequestException</a></code> - if the mandatory fields are not specified</dd>
</dl>
</li>
</ul>
<a name="executeRequest-org.elasticsearch.client.RestHighLevelClient-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeRequest</h4>
<pre>public&nbsp;java.lang.String&nbsp;executeRequest(org.elasticsearch.client.RestHighLevelClient&nbsp;client)
                                throws <a href="../docrequests/DocRequestException.html" title="class in docrequests">DocRequestException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../docrequests/Request.html#executeRequest-org.elasticsearch.client.RestHighLevelClient-">Request</a></code></span></div>
<div class="block">Executes this request using the given client.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../docrequests/Request.html#executeRequest-org.elasticsearch.client.RestHighLevelClient-">executeRequest</a></code>&nbsp;in interface&nbsp;<code><a href="../docrequests/Request.html" title="interface in docrequests">Request</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>client</code> - the RestHighLevelClient through which the request is executed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a string representing the ES server response</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../docrequests/DocRequestException.html" title="class in docrequests">DocRequestException</a></code> - if communications with server fails</dd>
</dl>
</li>
</ul>
<a name="getRequest--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRequest</h4>
<pre>public&nbsp;org.elasticsearch.action.DocWriteRequest&nbsp;getRequest()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../docrequests/Request.html#getRequest--">Request</a></code></span></div>
<div class="block">Returns an ES Java object representing the request built by this.setRequest()</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../docrequests/Request.html#getRequest--">getRequest</a></code>&nbsp;in interface&nbsp;<code><a href="../docrequests/Request.html" title="interface in docrequests">Request</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the ES object for this request</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../docrequests/DocRequestException.html" title="class in docrequests"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../docrequests/Request.html" title="interface in docrequests"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?docrequests/DocUpdateRequest.html" target="_top">Frames</a></li>
<li><a href="DocUpdateRequest.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
